Package de.willuhn.jameica.hbci.report.balance

# Interface AccountBalanceProvider

All Known Implementing Classes:
  `BookingAccountBalanceProvider`

public interface AccountBalanceProvider
Interface fuer einen AccountBalance-Provider. Der Provider liefert Salden fuer ein Konto, was bei einem Fonds/Depot anders funktioniert als bei einem Girokonto.

## Method Summary

Modifier and Type
Method
Description
`AbstractChartDataSaldo`
`getBalanceChartData(Konto konto, Date start, Date end)`
Gibt die taeglichen Salden fuer ein Konto als Chart-Datenreihe zurueck.
`List<Value>`
`getBalanceData(Konto konto, Date start, Date end)`
Gibt die taeglichen Salden fuer ein Konto als Liste von Werten zurueck.
`String`
`getName()`
Liefert einen Namen für Anzeige und Sortierung
`boolean`
`supports(Konto konto)`
Gibt an, ob der Provider fuer ein konkretes Konto Daten liefern kann.

## Method Details

### supports

boolean supports(Konto konto)
Gibt an, ob der Provider fuer ein konkretes Konto Daten liefern kann.

Parameters:
  `konto` - Zu ueberpruefendes Konto
Returns:

### getBalanceData

List<Value> getBalanceData(Konto konto, Date start, Date end)
Gibt die taeglichen Salden fuer ein Konto als Liste von Werten zurueck.

Parameters:
  `konto` - Konto fuer den Saldenabruf
  `start` - Startdatum der Salden
  `end` - Enddatum der Salden
Returns:
  die taeglichen Salden fuer ein Konto als Liste von Werten

### getBalanceChartData

AbstractChartDataSaldo getBalanceChartData(Konto konto, Date start, Date end)
Gibt die taeglichen Salden fuer ein Konto als Chart-Datenreihe zurueck.

Parameters:
  `konto` - Konto fuer den Saldenabruf
  `start` - Startdatum der Salden
  `end` - Enddatum der Salden
Returns:
  die taeglichen Salden fuer ein Konto als Chart-Datenreihe

### getName

String getName()
Liefert einen Namen für Anzeige und Sortierung

Returns:
  einen Namen für Anzeige und Sortierung